package leben.bewegung;

import leben.lebewesen.Lebewesen;

/**
 * Implementierung der
 * Multi-Bewegung.
 * 
 * @author Heiner K&uuml;cker
 */
public final class MultiBewegung
	extends AbstractBewegung
{
	private final AbstractBewegung[] bewegungArr;
	
	/**
	 * Konstruktor f&uuml;r mehrere Bewegungs-M&ouml;glichkeiten.
	 * 
	 * @param bewegungArr Array mit den Bewegungs-M&ouml;glichkeiten
	 */
	public MultiBewegung(
			final AbstractBewegung... bewegungArr)
	{
		// TODO Verhindern null-Array und null-Elemente
		this.bewegungArr = bewegungArr;
	}



	/**
	 * Multi-Bewegungs-Methode.
	 * 
	 * @param lebewesenToBeweg zu bewegendes Lebewesen
	 * @see AbstractBewegung#bewegDich(Lebewesen)
	 */
	@Override
	public void bewegDich(
			final Lebewesen lebewesenToBeweg )
	{
		for ( AbstractBewegung bewegung : this.bewegungArr )
		{
			bewegung.bewegDich( lebewesenToBeweg );
		}
	}
}
