package leben.ernaehrung;

import leben.lebewesen.Lebewesen;

/**
 * Abstrakte Oberklasse f&uuml;r die
 * Ern&auml;hrungs-M&ouml;glichkeiten
 * von {@link Lebewesen}.
 * <br /><br />
 * Man kann die Implementierungs-Klassen
 * dieser abstrakten Oberklasse auch als
 * Singleton oder Fliegengewicht realisieren.
 * 
 * @author Heiner K&uuml;cker
 */
public abstract class AbstractErnaehrung
{
	/**
	 * Von den Implementierungs-Klassen
	 * dieser Klasse zu implementierende
	 * Ern&auml;hrungs-Methode.
	 * 
	 * @param lebewesenToErnaehr zu ern&auml;hrendes Lebewesen
	 * 			(bei einer nicht statischen inneren Klasse knnte statt diesem
	 * 			Parameter auch das umgebende Objekt genutzt werden)
	 */
	abstract public void ernaehreDich(
			final Lebewesen lebewesenToErnaehr );
}
