package leben.fortpflanzung;

import leben.lebewesen.Lebewesen;

/**
 * Abstrakte Oberklasse f&uuml;r die
 * Fortpflanzungs-M&ouml;glichkeiten
 * von {@link Lebewesen}.
 * <br /><br />
 * Man kann die Implementierungs-Klassen
 * dieser abstrakten Oberklasse auch als
 * Singleton oder Fliegengewicht realisieren.
 * 
 * @author Heiner K&uuml;cker
 */
public abstract
	class AbstractFortpflanzung
{
	/**
	 * Von den Implementierungs-Klassen
	 * dieser Klasse zu implementierende
	 * Fortpflanzungs-Methode.
	 * 
	 * @param lebewesenToFortpflanz sich fortpflanzendes Lebewesen
	 * 			(bei einer nicht statischen inneren Klasse knnte statt diesem
	 * 			Parameter auch das umgebende Objekt genutzt werden)
	 */
	abstract public void fortpflanzDich(
			final Lebewesen lebewesenToFortpflanz );
}
